List runs
curl --request GET \
--url https://public-api.revilico.bio/v1/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.revilico.bio/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.revilico.bio/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.revilico.bio/v1/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.revilico.bio/v1/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.revilico.bio/v1/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.revilico.bio/v1/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"engine": "<string>",
"name": "<string>",
"status": "queued",
"statusReason": "<string>",
"progress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"budget": 123,
"creditsUsed": 123,
"error": {
"message": "<string>"
},
"links": {},
"warnings": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "The request is malformed."
}
}{
"error": {
"code": "MISSING_CREDENTIALS",
"message": "The API key is missing or not valid."
}
}{
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "The key may not do this."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side."
}
}Runs
List runs
Your runs of the engines the API exposes, newest first.
Scope: runs:read.
GET
/
v1
/
runs
List runs
curl --request GET \
--url https://public-api.revilico.bio/v1/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.revilico.bio/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.revilico.bio/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.revilico.bio/v1/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.revilico.bio/v1/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.revilico.bio/v1/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.revilico.bio/v1/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"engine": "<string>",
"name": "<string>",
"status": "queued",
"statusReason": "<string>",
"progress": 123,
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"budget": 123,
"creditsUsed": 123,
"error": {
"message": "<string>"
},
"links": {},
"warnings": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "The request is malformed."
}
}{
"error": {
"code": "MISSING_CREDENTIALS",
"message": "The API key is missing or not valid."
}
}{
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "The key may not do this."
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our side."
}
}Authorizations
An API key from the web app (Settings → Developer), sent as Authorization: Bearer rvl_live_….
Query Parameters
Only runs of this engine slug.
Only runs with this status.
Available options:
queued, running, succeeded, failed, cancelled Runs per page.
Required range:
1 <= x <= 100nextCursor from the previous page.

